/* Прелоадер */
.tmst-addresses .tmst-preloader-item {
	height: 56px;
}

.tmst-addresses .tmst-container:not(.tmst-breadcrumbs) {
	min-height: 560px;
}

.tmst-addresses__card {
	background-color: var(--box-background-color);
	border-radius: var(--box-radius);
}

.tmst-addresses__card-item {
	padding: 26px 30px;
}

.tmst-addresses__card-item:first-child {
	border-bottom: 1px solid var(--border-color);
}

.tmst-addresses__title {
	font-size: 1.2rem;
	font-weight: 600;
	line-height: 1;
	margin: 0;
	margin-bottom: 16px;
	color: var(--text-color);
}

.tmst-addresses__message {
	color: var(--text-color);
	opacity: 0.4;
	text-wrap: balance;
	max-width: 700px;
}

/* Список адресов */
.tmst-addresses__list {
	display: flex;
	flex-direction: column;
}

.tmst-addresses__list-item {
	display: flex;
	gap: 12px;
	align-items: flex-start;
}
.tmst-addresses__list-item + .tmst-addresses__list-item {
	margin-top: 30px;
	border-top: 1px solid var(--border-color);
	padding-top: 20px;
	margin-top: 20px;
}

.tmst-addresses__address-name {
	width: 250px;
	word-break: break-word;
	flex-shrink: 0;
}

.tmst-addresses__address-details {
	display: -webkit-box;
	-webkit-line-clamp: 20;
	-webkit-box-orient: vertical;
	overflow: hidden;
	word-break: break-word;
	margin-right: auto;
}

.tmst-addresses__address-userinitials {
	opacity: 0.5;
}

.tmst-addresses__address-delete-btn {
	cursor: pointer;
	padding: 0;
	border: none;
	outline: none;
	background-color: transparent;
	display: flex;
	align-items: center;
	color: var(--text-color);
	font-size: 0.875rem;
}

.tmst-addresses__address-delete-btn > * + * {
	margin-left: 6px;
}

.tmst-addresses__address {
	position: relative;
	display: flex;
}

.tmst-addresses__list {
	display: flex;
	flex-direction: column;
	column-gap: 15px;
}

@media all and (max-width: 768px) {
	.tmst-addresses__address-name {
		width: auto;
	}

	.tmst-addresses__list-item {
		flex-direction: column;
	}
}

.tlk-app-bg {
	position: absolute;
	width: 100%;
	height: 100%;
}

#app .tmst-addresses {
	z-index: 2;
}
